CREATE SEQUENCE GSIMONET.EST_COM_PIL_SQ
  START WITH 1
  MAXVALUE 9999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

CREATE SEQUENCE GSIMONET.EST_NUM_COMP_FABRICANT_SQ
  START WITH 1
  MAXVALUE 9999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

CREATE SEQUENCE GSIMONET.EST_TEMP_MAXIMES_SQ
  START WITH 1
  MAXVALUE 9999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

CREATE SEQUENCE GSIMONET.EST_VOLTES_RAPIDES_SQ
  START WITH 1
  MAXVALUE 9999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

CREATE SEQUENCE GSIMONET.LOGS_SQ
  START WITH 1
  MAXVALUE 99999999999999999999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

CREATE SEQUENCE GSIMONET.RESULTAT_SQ
  START WITH 1
  MAXVALUE 9999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

CREATE SEQUENCE GSIMONET.TELEMETRIA_SQ
  START WITH 1
  MAXVALUE 9999
  MINVALUE 1
  NOCYCLE
  CACHE 20
  NOORDER;

CREATE TABLE GSIMONET.FABRICANT
(
  CODI         VARCHAR2(4 BYTE)                 NOT NULL,
  NOM          VARCHAR2(20 BYTE)                NOT NULL,
  NIF          VARCHAR2(9 BYTE)                 NOT NULL,
  DATA_DEBUT   DATE                             NOT NULL,
  USER_INSERT  VARCHAR2(20 BYTE)                NOT NULL,
  DATA_INSERT  DATE                             NOT NULL,
  USER_UPDATE  VARCHAR2(20 BYTE),
  DATA_UPDATE  DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.COMPONENT
(
  CODI            VARCHAR2(4 BYTE)              NOT NULL,
  DESCRIPCIO      VARCHAR2(40 BYTE)             NOT NULL,
  UTILITAT        VARCHAR2(40 BYTE)             NOT NULL,
  CODI_FABRICANT  VARCHAR2(4 BYTE)              NOT NULL,
  USER_INSERT     VARCHAR2(20 BYTE)             NOT NULL,
  DATA_INSERT     DATE                          NOT NULL,
  USER_UPDATE     VARCHAR2(20 BYTE),
  DATA_UPDATE     DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.EST_TEMP_MAXIMES
(
  CODI             VARCHAR2(4 BYTE)             NOT NULL,
  CODI_COMPETICIO  VARCHAR2(4 BYTE)             NOT NULL,
  CODI_CARRERA     VARCHAR2(4 BYTE),
  DATA_CARRERA     DATE,
  CODI_COTXE       VARCHAR2(4 BYTE),
  CODI_PILOT       VARCHAR2(4 BYTE),
  TEMPERATURA_MAX  FLOAT(126),
  USER_INSERT      VARCHAR2(20 BYTE)            NOT NULL,
  DATA_INSERT      DATE                         NOT NULL,
  USER_UPDATE      VARCHAR2(20 BYTE),
  DATA_UPDATE      DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.LOGS
(
  CODI             VARCHAR2(20 BYTE)            NOT NULL,
  NOM_PROCEDIMENT  VARCHAR2(40 BYTE)            NOT NULL,
  LOG              VARCHAR2(1000 BYTE)          NOT NULL,
  RSP              VARCHAR2(200 BYTE)           NOT NULL,
  USER_LOG         VARCHAR2(20 BYTE)            NOT NULL,
  DATA_LOG         DATE                         NOT NULL
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.PATROCINADOR
(
  CODI             VARCHAR2(4 BYTE)             NOT NULL,
  NOM              VARCHAR2(20 BYTE)            NOT NULL,
  SECTOR           VARCHAR2(20 BYTE)            NOT NULL,
  VALOR_PATROCINI  FLOAT(126),
  USER_INSERT      VARCHAR2(20 BYTE)            NOT NULL,
  DATA_INSERT      DATE                         NOT NULL,
  USER_UPDATE      VARCHAR2(20 BYTE),
  DATA_UPDATE      DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.CATEGORIA
(
  CODI         VARCHAR2(4 BYTE)                 NOT NULL,
  NOM          VARCHAR2(20 BYTE)                NOT NULL,
  USER_INSERT  VARCHAR2(20 BYTE)                NOT NULL,
  DATA_INSERT  DATE                             NOT NULL,
  USER_UPDATE  VARCHAR2(20 BYTE),
  DATA_UPDATE  DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.COMPETICIO
(
  CODI            VARCHAR2(4 BYTE)              NOT NULL,
  DESCRIPCIO      VARCHAR2(20 BYTE)             NOT NULL,
  DATA_INICI      DATE                          NOT NULL,
  DATA_FI         DATE                          NOT NULL,
  CODI_CATEGORIA  VARCHAR2(4 BYTE)              NOT NULL,
  USER_INSERT     VARCHAR2(20 BYTE)             NOT NULL,
  DATA_INSERT     DATE                          NOT NULL,
  USER_UPDATE     VARCHAR2(20 BYTE),
  DATA_UPDATE     DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.EST_VOLTES_RAPIDES
(
  CODI             VARCHAR2(4 BYTE)             NOT NULL,
  ANY_CARRERA      NUMBER,
  CODI_COMPETICIO  VARCHAR2(4 BYTE)             NOT NULL,
  DATA_CARRERA     DATE,
  CODI_CARRERA     VARCHAR2(4 BYTE)             NOT NULL,
  VOLTA_RAPIDA     TIMESTAMP(3),
  CODI_PILOT       VARCHAR2(4 BYTE),
  CODI_EQUIP       VARCHAR2(4 BYTE),
  USER_INSERT      VARCHAR2(20 BYTE)            NOT NULL,
  DATA_INSERT      DATE                         NOT NULL,
  USER_UPDATE      VARCHAR2(20 BYTE),
  DATA_UPDATE      DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.CARRERA
(
  CODI              VARCHAR2(4 BYTE)            NOT NULL,
  NOM               VARCHAR2(20 BYTE)           NOT NULL,
  DATA_CARRERA      DATE                        NOT NULL,
  CODI_COMPETICIO   VARCHAR2(4 BYTE)            NOT NULL,
  LONGITUD_CIRCUIT  FLOAT(126)                  NOT NULL,
  USER_INSERT       VARCHAR2(20 BYTE)           NOT NULL,
  DATA_INSERT       DATE                        NOT NULL,
  USER_UPDATE       VARCHAR2(20 BYTE),
  DATA_UPDATE       DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.PILOT
(
  CODI            VARCHAR2(4 BYTE)              NOT NULL,
  NOM             VARCHAR2(40 BYTE)             NOT NULL,
  NACIONALITAT    VARCHAR2(20 BYTE)             NOT NULL,
  CODI_LLICENCIA  VARCHAR2(9 BYTE)              NOT NULL,
  USER_INSERT     VARCHAR2(20 BYTE)             NOT NULL,
  DATA_INSERT     DATE                          NOT NULL,
  USER_UPDATE     VARCHAR2(20 BYTE),
  DATA_UPDATE     DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.EQUIP
(
  CODI               VARCHAR2(4 BYTE)           NOT NULL,
  NOM                VARCHAR2(20 BYTE)          NOT NULL,
  SEU                VARCHAR2(20 BYTE)          NOT NULL,
  DATA_DEBUT         DATE                       NOT NULL,
  NOM_MANAGER        VARCHAR2(40 BYTE)          NOT NULL,
  CODI_PATROCINADOR  VARCHAR2(4 BYTE)           NOT NULL,
  USER_INSERT        VARCHAR2(20 BYTE)          NOT NULL,
  DATA_INSERT        DATE                       NOT NULL,
  USER_UPDATE        VARCHAR2(20 BYTE),
  DATA_UPDATE        DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.ERROR
(
  CODI         VARCHAR2(4 BYTE)                 NOT NULL,
  DESCRIPCIO   VARCHAR2(200 BYTE)               NOT NULL,
  USER_INSERT  VARCHAR2(20 BYTE)                NOT NULL,
  DATA_INSERT  DATE                             NOT NULL,
  USER_UPDATE  VARCHAR2(20 BYTE),
  DATA_UPDATE  DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.EST_COM_PIL
(
  CODI                 VARCHAR2(4 BYTE)         NOT NULL,
  ANY_COMPETICIO       NUMBER                   NOT NULL,
  INICI_COMPETICIO     DATE,
  FINAL_COMPETICIO     DATE,
  CODI_COMPETICIO      VARCHAR2(4 BYTE)         NOT NULL,
  CODI_EQUIP           VARCHAR2(4 BYTE)         NOT NULL,
  CODI_PILOT           VARCHAR2(4 BYTE)         NOT NULL,
  CODI_COTXE           VARCHAR2(4 BYTE)         NOT NULL,
  CLASSIFICACIO        NUMBER,
  CARBURANT_GASTAT     FLOAT(126),
  PER_COM_DEFECTUOS    FLOAT(126),
  NUM_CAR_ACABADES     INTEGER,
  NUM_CAR_GUANYADES    INTEGER,
  DINERS_PATROCINADOR  FLOAT(126),
  CODI_PATROCINADOR    VARCHAR2(4 BYTE),
  VOLUM_TELEMETRIA     INTEGER,
  USER_INSERT          VARCHAR2(20 BYTE)        NOT NULL,
  DATA_INSERT          DATE                     NOT NULL,
  USER_UPDATE          VARCHAR2(20 BYTE),
  DATA_UPDATE          DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.EST_NUM_COMP_FABRICANT
(
  CODI             VARCHAR2(4 BYTE)             NOT NULL,
  CODI_COMPETICIO  VARCHAR2(4 BYTE)             NOT NULL,
  CODI_FABRICANT   VARCHAR2(4 BYTE)             NOT NULL,
  NUM_COMPONENTS   INTEGER,
  USER_INSERT      VARCHAR2(20 BYTE)            NOT NULL,
  DATA_INSERT      DATE                         NOT NULL,
  USER_UPDATE      VARCHAR2(20 BYTE),
  DATA_UPDATE      DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE INDEX GSIMONET.CARBURANT_GASTAT_IDX ON GSIMONET.EST_COM_PIL
(CODI_PILOT, CODI_COTXE, CARBURANT_GASTAT, CODI_COMPETICIO, ANY_COMPETICIO)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.CARRERA_PK ON GSIMONET.CARRERA
(CODI, DATA_CARRERA, CODI_COMPETICIO)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.CATEGORIA_PK ON GSIMONET.CATEGORIA
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX GSIMONET.CLASSIFICACIO_COMPETICIO_IDX ON GSIMONET.EST_COM_PIL
(CODI_COMPETICIO, CODI_PILOT, CLASSIFICACIO, ANY_COMPETICIO)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.CODI_IDX ON GSIMONET.LOGS
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.CODI_LLICENCIA_UNIC_UK ON GSIMONET.PILOT
(CODI_LLICENCIA)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.COMPETICIO_PK ON GSIMONET.COMPETICIO
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.COMPONENT_PK ON GSIMONET.COMPONENT
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX GSIMONET.DINERS_PATROCINADOR_IDX ON GSIMONET.EST_COM_PIL
(CODI_PATROCINADOR, DINERS_PATROCINADOR, ANY_COMPETICIO)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.EQUIP_PK ON GSIMONET.EQUIP
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.ERROR_PK ON GSIMONET.ERROR
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.EST_CAR_PK ON GSIMONET.EST_VOLTES_RAPIDES
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.EST_COM_PIL_PK ON GSIMONET.EST_COM_PIL
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.EST_MAX_COMP_FABRICANTS_PK ON GSIMONET.EST_NUM_COMP_FABRICANT
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.EST_TEMP_MAXIMES_PK ON GSIMONET.EST_TEMP_MAXIMES
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.FABRICANT_PK ON GSIMONET.FABRICANT
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.NIF_UNIC_UK ON GSIMONET.FABRICANT
(NIF)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX GSIMONET.NOM_PROCEDIMENT_IDX ON GSIMONET.LOGS
(NOM_PROCEDIMENT)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX GSIMONET.NUM_CAR_ACABADES_IDX ON GSIMONET.EST_COM_PIL
(CODI_PILOT, NUM_CAR_ACABADES)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX GSIMONET.NUM_CAR_GUANYADES_IDX ON GSIMONET.EST_COM_PIL
(CODI_PILOT, NUM_CAR_GUANYADES)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX GSIMONET.NUM_COMPONENTS_IDX ON GSIMONET.EST_NUM_COMP_FABRICANT
(CODI_COMPETICIO, CODI_FABRICANT, NUM_COMPONENTS)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.PATROCINADOR_PK ON GSIMONET.PATROCINADOR
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX GSIMONET.PER_COM_DEFECTUOS_IDX ON GSIMONET.EST_COM_PIL
(CODI_COMPETICIO, CODI_COTXE, CODI_PILOT, PER_COM_DEFECTUOS)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.PILOT_PK ON GSIMONET.PILOT
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX GSIMONET.TEMPERATURA_MAX_IDX ON GSIMONET.EST_TEMP_MAXIMES
(CODI_COMPETICIO, CODI_CARRERA, DATA_CARRERA, CODI_COTXE, CODI_PILOT, 
TEMPERATURA_MAX)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.UNICA_CARRERA_COMPETICIO_UQ ON GSIMONET.EST_VOLTES_RAPIDES
(CODI_COMPETICIO, CODI_CARRERA, DATA_CARRERA)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.UNICA_COM_FAB_TG ON GSIMONET.EST_NUM_COMP_FABRICANT
(CODI_COMPETICIO, CODI_FABRICANT)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE INDEX GSIMONET.VOLUM_TELEMETRIA_IDX ON GSIMONET.EST_COM_PIL
(CODI_EQUIP, VOLUM_TELEMETRIA, ANY_COMPETICIO)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE TABLE GSIMONET.COTXE
(
  CODI         VARCHAR2(4 BYTE)                 NOT NULL,
  MODEL        VARCHAR2(20 BYTE)                NOT NULL,
  DATA_DEBUT   DATE                             NOT NULL,
  CODI_EQUIP   VARCHAR2(4 BYTE)                 NOT NULL,
  USER_INSERT  VARCHAR2(20 BYTE)                NOT NULL,
  DATA_INSERT  DATE                             NOT NULL,
  USER_UPDATE  VARCHAR2(20 BYTE),
  DATA_UPDATE  DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE TABLE GSIMONET.FORMACIO
(
  CODI_EQUIP    VARCHAR2(4 BYTE)                NOT NULL,
  CODI_PILOT    VARCHAR2(4 BYTE)                NOT NULL,
  ANY_FORMACIO  NUMBER                          NOT NULL,
  USER_INSERT   VARCHAR2(20 BYTE)               NOT NULL,
  DATA_INSERT   DATE                            NOT NULL,
  USER_UPDATE   VARCHAR2(20 BYTE),
  DATA_UPDATE   DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE UNIQUE INDEX GSIMONET.COTXE_PK ON GSIMONET.COTXE
(CODI)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.FORMACIO_PK ON GSIMONET.FORMACIO
(CODI_EQUIP, CODI_PILOT, ANY_FORMACIO)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE TABLE GSIMONET.RESULTAT
(
  CODI             VARCHAR2(4 BYTE)             NOT NULL,
  CODI_EQUIP       VARCHAR2(4 BYTE)             NOT NULL,
  CODI_PILOT       VARCHAR2(4 BYTE)             NOT NULL,
  ANY_FORMACIO     NUMBER                       NOT NULL,
  CODI_COTXE       VARCHAR2(4 BYTE)             NOT NULL,
  CODI_COMPETICIO  VARCHAR2(4 BYTE)             NOT NULL,
  CODI_CARRERA     VARCHAR2(4 BYTE)             NOT NULL,
  DATA_CARRERA     DATE                         NOT NULL,
  POSICIO          INTEGER,
  PUNTUACIO        INTEGER,
  VOLTA_RAPIDA     TIMESTAMP(3),
  USER_INSERT      VARCHAR2(20 BYTE)            NOT NULL,
  DATA_INSERT      DATE                         NOT NULL,
  USER_UPDATE      VARCHAR2(20 BYTE),
  DATA_UPDATE      DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE INDEX GSIMONET.POSICIO_IDX ON GSIMONET.RESULTAT
(POSICIO)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.RESULTAT_PK ON GSIMONET.RESULTAT
(CODI, CODI_EQUIP, CODI_PILOT, CODI_COTXE, CODI_COMPETICIO, 
CODI_CARRERA, DATA_CARRERA)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE TABLE GSIMONET.TELEMETRIA
(
  CODI             VARCHAR2(4 BYTE)             NOT NULL,
  CODI_RESULTAT    VARCHAR2(4 BYTE)             NOT NULL,
  CODI_EQUIP       VARCHAR2(4 BYTE)             NOT NULL,
  CODI_PILOT       VARCHAR2(4 BYTE)             NOT NULL,
  CODI_COTXE       VARCHAR2(4 BYTE)             NOT NULL,
  CODI_COMPETICIO  VARCHAR2(4 BYTE)             NOT NULL,
  CODI_CARRERA     VARCHAR2(4 BYTE)             NOT NULL,
  DATA_CARRERA     DATE                         NOT NULL,
  CODI_COMPONENT   VARCHAR2(4 BYTE)             NOT NULL,
  MOMENT           TIMESTAMP(3)                 NOT NULL,
  AMBIT            VARCHAR2(20 BYTE)            NOT NULL,
  VALOR            FLOAT(126),
  UNITAT_MESURA    VARCHAR2(20 BYTE)            NOT NULL,
  USER_INSERT      VARCHAR2(20 BYTE)            NOT NULL,
  DATA_INSERT      DATE                         NOT NULL,
  USER_UPDATE      VARCHAR2(20 BYTE),
  DATA_UPDATE      DATE
)
TABLESPACE SYSTEM
PCTUSED    40
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCOMPRESS 
NOCACHE
NOPARALLEL
MONITORING;


CREATE INDEX GSIMONET.CODI_COMPONENT_IDX ON GSIMONET.TELEMETRIA
(CODI_COMPONENT)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


CREATE UNIQUE INDEX GSIMONET.TELEMETRIA_PK ON GSIMONET.TELEMETRIA
(CODI, CODI_RESULTAT, CODI_EQUIP, CODI_PILOT, CODI_COTXE, 
CODI_COMPETICIO, CODI_CARRERA, DATA_CARRERA)
LOGGING
TABLESPACE SYSTEM
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            NEXT             1M
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            FREELISTS        1
            FREELIST GROUPS  1
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


ALTER TABLE GSIMONET.FABRICANT ADD (
  CONSTRAINT FABRICANT_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ),
  CONSTRAINT NIF_UNIC_UQ
 UNIQUE (NIF));

ALTER TABLE GSIMONET.COMPONENT ADD (
  CONSTRAINT COMPONENT_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.EST_TEMP_MAXIMES ADD (
  CONSTRAINT EST_TEMP_MAXIMES_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.LOGS ADD (
  PRIMARY KEY
 (CODI));

ALTER TABLE GSIMONET.PATROCINADOR ADD (
  CONSTRAINT PATROCINADOR_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.CATEGORIA ADD (
  CONSTRAINT CATEGORIA_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.COMPETICIO ADD (
  CONSTRAINT DATA_FI_MAYOR_DATA_INICI_CK
 CHECK (DATA_FI >= DATA_INICI),
  CONSTRAINT DATA_MATEIX_ANY_NATURAL_CK
 CHECK ((TO_NUMBER(TO_CHAR(DATA_INICI, 'YYYY'))=(TO_NUMBER(TO_CHAR(DATA_FI, 'YYYY'))))),
  CONSTRAINT COMPETICIO_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.EST_VOLTES_RAPIDES ADD (
  CONSTRAINT EST_CAR_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ),
  CONSTRAINT UNICA_CARRERA_COMPETICIO_UQ
 UNIQUE (CODI_COMPETICIO, CODI_CARRERA, DATA_CARRERA)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.CARRERA ADD (
  CONSTRAINT LONGITUD_CIRCUIT_POSITIU_CK
 CHECK (LONGITUD_CIRCUIT >0),
  CONSTRAINT CARRERA_PK
 PRIMARY KEY
 (CODI, DATA_CARRERA, CODI_COMPETICIO)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.PILOT ADD (
  CONSTRAINT PILOT_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ),
  CONSTRAINT CODI_LLICENCIA_UNIC_UQ
 UNIQUE (CODI_LLICENCIA));

ALTER TABLE GSIMONET.EQUIP ADD (
  CONSTRAINT EQUIP_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.ERROR ADD (
  CONSTRAINT ERROR_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.EST_COM_PIL ADD (
  CONSTRAINT ANY_COMPETICIO_POSITIU_CK
 CHECK (ANY_COMPETICIO >= 0),
  CONSTRAINT EST_COM_PIL_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.EST_NUM_COMP_FABRICANT ADD (
  CONSTRAINT EST_MAX_COMP_FABRICANTS_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ),
  CONSTRAINT UNICA_COM_FAB_TG
 UNIQUE (CODI_COMPETICIO, CODI_FABRICANT)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.COTXE ADD (
  CONSTRAINT COTXE_PK
 PRIMARY KEY
 (CODI)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.FORMACIO ADD (
  CONSTRAINT ANY_FORMACIO_POSITIU_CK
 CHECK (ANY_FORMACIO > 0),
  CONSTRAINT FORMACIO_PK
 PRIMARY KEY
 (CODI_EQUIP, CODI_PILOT, ANY_FORMACIO)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.RESULTAT ADD (
  CONSTRAINT ANY_FORMACIO_IGUAL_CARRERA_CK
 CHECK ((TO_NUMBER(TO_CHAR(DATA_CARRERA, 'YYYY')) = ANY_FORMACIO)),
  CONSTRAINT RESULTAT_PK
 PRIMARY KEY
 (CODI, CODI_EQUIP, CODI_PILOT, CODI_COTXE, CODI_COMPETICIO, CODI_CARRERA, DATA_CARRERA)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.TELEMETRIA ADD (
  CONSTRAINT MOMENT_IGUAL_DATA_CARRERA_CK
 CHECK ((TO_CHAR(MOMENT, 'DD/MM/YYYY')) = (TO_CHAR(DATA_CARRERA, 'DD/MM/YYYY'))),
  CONSTRAINT TELEMETRIA_PK
 PRIMARY KEY
 (CODI, CODI_RESULTAT, CODI_EQUIP, CODI_PILOT, CODI_COTXE, CODI_COMPETICIO, CODI_CARRERA, DATA_CARRERA)
    USING INDEX 
    TABLESPACE SYSTEM
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                NEXT             1M
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
                FREELISTS        1
                FREELIST GROUPS  1
               ));

ALTER TABLE GSIMONET.COMPONENT ADD (
  CONSTRAINT FABRICANT_COMPONENTS_FK 
 FOREIGN KEY (CODI_FABRICANT) 
 REFERENCES GSIMONET.FABRICANT);

ALTER TABLE GSIMONET.COMPETICIO ADD (
  CONSTRAINT CATEGORIA_COMPETICIONS_FK 
 FOREIGN KEY (CODI_CATEGORIA) 
 REFERENCES GSIMONET.CATEGORIA);

ALTER TABLE GSIMONET.CARRERA ADD (
  CONSTRAINT COMPETICIO_CARRERAS_FK 
 FOREIGN KEY (CODI_COMPETICIO) 
 REFERENCES GSIMONET.COMPETICIO);

ALTER TABLE GSIMONET.EQUIP ADD (
  CONSTRAINT PATROCINADOR_EQUIPS_FK 
 FOREIGN KEY (CODI_PATROCINADOR) 
 REFERENCES GSIMONET.PATROCINADOR);

ALTER TABLE GSIMONET.COTXE ADD (
  CONSTRAINT EQUIP_COTXES_FK 
 FOREIGN KEY (CODI_EQUIP) 
 REFERENCES GSIMONET.EQUIP);

ALTER TABLE GSIMONET.FORMACIO ADD (
  CONSTRAINT PILOT_EQUIPS_FK 
 FOREIGN KEY (CODI_PILOT) 
 REFERENCES GSIMONET.PILOT,
  CONSTRAINT EQUIP_PILOTS_FK 
 FOREIGN KEY (CODI_EQUIP) 
 REFERENCES GSIMONET.EQUIP);

ALTER TABLE GSIMONET.RESULTAT ADD (
  CONSTRAINT FORMACIO_RESULTATS_FK 
 FOREIGN KEY (CODI_EQUIP, CODI_PILOT, ANY_FORMACIO) 
 REFERENCES GSIMONET.FORMACIO,
  CONSTRAINT COTXE_RESULTATS_FK 
 FOREIGN KEY (CODI_COTXE) 
 REFERENCES GSIMONET.COTXE,
  CONSTRAINT CARRERA_RESULTATS_FK 
 FOREIGN KEY (CODI_CARRERA, DATA_CARRERA, CODI_COMPETICIO) 
 REFERENCES GSIMONET.CARRERA);

ALTER TABLE GSIMONET.TELEMETRIA ADD (
  CONSTRAINT RESULTAT_TELEMETRIES_FK 
 FOREIGN KEY (CODI_RESULTAT, CODI_EQUIP, CODI_PILOT, CODI_COTXE, CODI_COMPETICIO, CODI_CARRERA, DATA_CARRERA) 
 REFERENCES GSIMONET.RESULTAT,
  CONSTRAINT COMPONENT_TELEMETRIES_FK 
 FOREIGN KEY (CODI_COMPONENT) 
 REFERENCES GSIMONET.COMPONENT);