CREATE OR REPLACE TRIGGER GSIMONET.ANY_DATA_VOLTA_CAR_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.RESULTAT 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       ANY_DATA_VOLTA_CAR_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        04/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     ANY_DATA_VOLTA_CAR_TG
      Sysdate:         04/05/2015
      Date and Time:   04/05/2015, 22:31:35, and 04/05/2015 22:31:35
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      RESULTAT (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    :NEW.ANY_FORMACIO := TO_NUMBER(EXTRACT (YEAR FROM :NEW.DATA_CARRERA));
END ANY_DATA_VOLTA_CAR_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.CARRERA_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.CARRERA 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 10:01:04, and 28/04/2015 10:01:04
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      CARRERA (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END ;
/


CREATE OR REPLACE TRIGGER GSIMONET.CATEGORIA_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.CATEGORIA 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       CATEGORIA_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     CATEGORIA_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 10:01:42, and 28/04/2015 10:01:42
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      CATEGORIA (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END CATEGORIA_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.COMPETICIO_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.COMPETICIO 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       COMPETICIO_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     COMPETICIO_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 10:03:55, and 28/04/2015 10:03:55
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      COMPETICIO (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END COMPETICIO_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.COMPONENT_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.COMPONENT 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       COMPONENT_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     COMPONENT_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 10:04:19, and 28/04/2015 10:04:19
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      COMPONENT (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END COMPONENT_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.COTXE_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.COTXE 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       COTXE_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     COTXE_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 10:04:38, and 28/04/2015 10:04:38
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      COTXE (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END COTXE_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.EQUIP_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EQUIP 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       EQUIP_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EQUIP_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 7:59:53, and 28/04/2015 7:59:53
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      EQUIP (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END EQUIP_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.ERROR_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.ERROR 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       ERROR_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     ERROR_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 9:55:03, and 28/04/2015 9:55:03
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      ERROR (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END ERROR_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_CARBURANT_GASTAT_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_COM_PIL 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       EST_CARBURANT_GASTAT_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        01/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_CARBURANT_GASTAT_TG
      Sysdate:         01/05/2015
      Date and Time:   01/05/2015, 22:28:11, and 01/05/2015 22:28:11
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_COM_PIL (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    -- Suma de carburant gastat en una competici fent servir la telemetria
    -- d'aquesta
    :NEW.CARBURANT_GASTAT := ESTADISTICA_PKG.ACT_CARBURANT_GASTAT(:NEW.CODI_COMPETICIO
                                                                  ,:NEW.CODI_EQUIP
                                                                  ,:NEW.CODI_PILOT
                                                                  ,:NEW.CODI_COTXE
                                                                  );
END EST_CARBURANT_GASTAT_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_CLASSIFICACIO_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_COM_PIL 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
tmpVar NUMBER;
/******************************************************************************
   NAME:       EST_CLASSIFICACIO_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        03/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_CLASSIFICACIO_TG
      Sysdate:         03/05/2015
      Date and Time:   03/05/2015, 0:33:38, and 03/05/2015 0:33:38
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_COM_PIL (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    -- Suma dels punts durant la competici per obtenir la classifaci total.
    -- Entenem com a classificaci la suma total de punts d'una competici.
    :NEW.CLASSIFICACIO := ESTADISTICA_PKG.ACT_CLASSIFICACIO(:NEW.CODI_COMPETICIO
                                                                  ,:NEW.CODI_EQUIP
                                                                  ,:NEW.CODI_PILOT
                                                                  ,:NEW.CODI_COTXE
                                                                  );
END EST_CLASSIFICACIO_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_COM_PIL_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_COM_PIL 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        01/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     
      Sysdate:         01/05/2015
      Date and Time:   01/05/2015, 12:24:48, and 01/05/2015 12:24:48
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_COM_PIL (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN

    -- Alimenta identificador 
    IF :new.CODI IS NULL THEN
         SELECT GSIMONET.EST_COM_PIL_SQ.nextval INTO :new.CODI FROM DUAL;
    END IF; 
    
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END ;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_DINERS_PATROCINADOR_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_COM_PIL 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE

    v_valpat PATROCINADOR.VALOR_PATROCINI%TYPE;
    v_codpat PATROCINADOR.CODI%TYPE;
/******************************************************************************
   NAME:       EST_DINERS_PATROCINADOR_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        02/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_DINERS_PATROCINADOR_TG
      Sysdate:         02/05/2015
      Date and Time:   02/05/2015, 0:07:36, and 02/05/2015 0:07:36
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_COM_PIL (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    -- Recupera els diners del patrocinador de l'equip
    ESTADISTICA_PKG.ACT_DINERS_PATROCINADOR(:NEW.CODI_COMPETICIO
                                            ,:NEW.CODI_EQUIP
                                            ,:NEW.CODI_PILOT
                                            ,:NEW.CODI_COTXE
                                            , v_valpat
                                            , v_codpat
                                            );
    :NEW.DINERS_PATROCINADOR := v_valpat;
    :NEW.CODI_PATROCINADOR := v_codpat; 
                                            
END EST_DINERS_PATROCINADOR_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_NUM_CAR_ACABADES_TR
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_COM_PIL 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        01/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     
      Sysdate:         01/05/2015
      Date and Time:   01/05/2015, 21:21:58, and 01/05/2015 21:21:58
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_COM_PIL (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    -- Recupera el nombre de carreres acabades d'un pilot en una competici
    :NEW.NUM_CAR_ACABADES := ESTADISTICA_PKG.ACT_NUM_CAR_ACABADES(:NEW.CODI_COMPETICIO
                                                                  ,:NEW.CODI_EQUIP
                                                                  ,:NEW.CODI_PILOT
                                                                  ,:NEW.CODI_COTXE
                                                                  );
END ;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_NUM_CAR_GUANYADES_TR
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_COM_PIL 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       EST_COM_PIL_NUM_CAR_GUANYADES_TR
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        01/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_COM_PIL_NUM_CAR_GUANYADES_TR
      Sysdate:         01/05/2015
      Date and Time:   01/05/2015, 17:21:31, and 01/05/2015 17:21:31
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_COM_PIL (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    -- Recupera el nombre de carreres guanyades d'un pilot en una competici
    :NEW.NUM_CAR_GUANYADES := ESTADISTICA_PKG.ACT_NUM_CAR_GUANYADES(:NEW.CODI_COMPETICIO
                                                                  ,:NEW.CODI_EQUIP
                                                                  ,:NEW.CODI_PILOT
                                                                  ,:NEW.CODI_COTXE
                                                                  );
END EST_NUM_CAR_GUANYADES_TR;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_NUM_COMPONENTS_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_NUM_COMP_FABRICANT 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       EST_NUM_COMPONENTS_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        03/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_NUM_COMPONENTS_TG
      Sysdate:         03/05/2015
      Date and Time:   03/05/2015, 18:17:22, and 03/05/2015 18:17:22
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_NUM_COMP_FABRICANT (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    :NEW.NUM_COMPONENTS := ESTADISTICA_PKG.ACT_NUM_COMPONENTS(:NEW.CODI_COMPETICIO
                                                              ,:NEW.CODI_FABRICANT
                                                              );
END EST_NUM_COMPONENTS_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_NUM_COMP_FABRICANT_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_NUM_COMP_FABRICANT 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       EST_NUM_COMP_FABRICANT_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        03/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_NUM_COMP_FABRICANT_TG
      Sysdate:         03/05/2015
      Date and Time:   03/05/2015, 18:16:08, and 03/05/2015 18:16:08
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_NUM_COMP_FABRICANT (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    -- Alimenta identificador 
    IF :new.CODI IS NULL THEN
         SELECT GSIMONET.EST_NUM_COMP_FABRICANT_SQ.nextval INTO :new.CODI FROM DUAL;
    END IF; 
    
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END EST_NUM_COMP_FABRICANT_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_PER_COM_DEFECTUOS_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_COM_PIL 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       EST_PER_COM_DEFECTUOS_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        03/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_PER_COM_DEFECTUOS_TG
      Sysdate:         03/05/2015
      Date and Time:   03/05/2015, 0:13:03, and 03/05/2015 0:13:03
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_COM_PIL (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    -- Percentatge dels components defectuosos en cada competici. Es considera
    -- un component defectus quan la seva dada telemtrica t el camo VALOR
    -- a NULL
    :NEW.PER_COM_DEFECTUOS := ESTADISTICA_PKG.ACT_PER_COM_DEFECTUOS(:NEW.CODI_COMPETICIO
                                                                  ,:NEW.CODI_EQUIP
                                                                  ,:NEW.CODI_PILOT
                                                                  ,:NEW.CODI_COTXE
                                                                  );
END EST_PER_COM_DEFECTUOS_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_TEMP_MAXIMA_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_TEMP_MAXIMES 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
    v_datcar CARRERA.DATA_CARRERA%TYPE;
    v_codpil PILOT.CODI%TYPE;
    v_temmax TELEMETRIA.VALOR%TYPE;
/******************************************************************************
   NAME:       EST_TEMP_MAXIMA_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        03/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_TEMP_MAXIMA_TG
      Sysdate:         03/05/2015
      Date and Time:   03/05/2015, 17:19:40, and 03/05/2015 17:19:40
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_TEMP_MAXIMES (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    ESTADISTICA_PKG.ACT_TEMP_MAXIMA (:NEW.CODI_COMPETICIO
                                    ,:NEW.CODI_CARRERA  
                                    ,:NEW.CODI_COTXE
                                    , v_datcar
                                    , v_codpil
                                    , v_temmax
                                    );
    :NEW.DATA_CARRERA := v_datcar;
    :NEW.CODI_PILOT :=  v_codpil;
    :NEW.TEMPERATURA_MAX := v_temmax;
    
END EST_TEMP_MAXIMA_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_TEMP_MAXIMES_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_TEMP_MAXIMES 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       EST_TEMP_MAXIMES_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        03/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_TEMP_MAXIMES_TG
      Sysdate:         03/05/2015
      Date and Time:   03/05/2015, 17:18:27, and 03/05/2015 17:18:27
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_TEMP_MAXIMES (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN

    -- Alimenta identificador 
    IF :new.CODI IS NULL THEN
         SELECT GSIMONET.EST_TEMP_MAXIMES_SQ.nextval INTO :new.CODI FROM DUAL;
    END IF; 
    
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END EST_TEMP_MAXIMES_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.EST_VOLTA_RAPIDA_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.EST_VOLTES_RAPIDES 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
    v_volrap RESULTAT.VOLTA_RAPIDA%TYPE;
    v_datcar CARRERA.DATA_CARRERA%TYPE;
    v_codpil PILOT.CODI%TYPE;
    v_codequ EQUIP.CODI%TYPE;
/******************************************************************************
   NAME:       EST_VOLTA_RAPIDA_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        03/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_VOLTA_RAPIDA_TG
      Sysdate:         03/05/2015
      Date and Time:   03/05/2015, 9:29:52, and 03/05/2015 9:29:52
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_VOLTES_RAPIDES (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    ESTADISTICA_PKG.ACT_VOLTA_RAPIDA(:NEW.CODI_COMPETICIO
                                    ,:NEW.CODI_CARRERA
                                    , v_volrap
                                    , v_datcar
                                    , v_codpil
                                    , v_codequ
                                    );
    :NEW.ANY_CARRERA := TO_NUMBER(EXTRACT (YEAR FROM v_datcar));
    :NEW.VOLTA_RAPIDA := v_volrap;
    :NEW.DATA_CARRERA := v_datcar;
    :NEW.CODI_PILOT :=  v_codpil;
    :NEW.CODI_EQUIP :=  v_codequ;
    
END EST_VOLTA_RAPIDA_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET."EST_VOLTES_RAPIDES_TG" BEFORE INSERT OR UPDATE
ON GSIMONET.EST_VOLTES_RAPIDES 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       EST_CAR_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        01/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_CAR_TG
      Sysdate:         01/05/2015
      Date and Time:   01/05/2015, 13:00:13, and 01/05/2015 13:00:13
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_CAR (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN

    -- Alimenta identificador 
    IF :new.CODI IS NULL THEN
         SELECT GSIMONET.EST_VOLTES_RAPIDES_SQ.nextval INTO :new.CODI FROM DUAL;
    END IF; 
    
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END EST_CAR_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET."EST_VOLUM_TELEMETRIA" BEFORE INSERT OR UPDATE
ON GSIMONET.EST_COM_PIL 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       EST_VOLUM_GASTAT_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        01/05/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     EST_VOLUM_GASTAT_TG
      Sysdate:         01/05/2015
      Date and Time:   01/05/2015, 23:15:21, and 01/05/2015 23:15:21
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      EST_COM_PIL (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    -- Recupera el nombre de registres de telemetria
    :NEW.VOLUM_TELEMETRIA := ESTADISTICA_PKG.ACT_VOLUM_TELEMETRIA(:NEW.CODI_COMPETICIO
                                                                  ,:NEW.CODI_EQUIP
                                                                  ,:NEW.CODI_PILOT
                                                                  ,:NEW.CODI_COTXE
                                                                  );
END EST_VOLUM_GASTAT_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.FABRICANT_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.FABRICANT 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       FABRICANT_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     FABRICANT_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 10:05:17, and 28/04/2015 10:05:17
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      FABRICANT (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END FABRICANT_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.FORMACIO_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.FORMACIO 
REFERENCING NEW AS New OLD AS Old
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       FORMACIO_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     FORMACIO_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 10:05:33, and 28/04/2015 10:05:33
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      FORMACIO (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END FORMACIO_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.LOGS_TG
BEFORE INSERT
ON GSIMONET.LOGS 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       LOGS_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        27/04/2015             1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     LOGS_TG
      Sysdate:         27/04/2015
      Date and Time:   27/04/2015, 23:07:46, and 27/04/2015 23:07:46
      Username:         (set in TOAD Options, Proc Templates)
      Table Name:      LOGS (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    -- Alimenta identificador 
    IF :new.CODI IS NULL THEN
         SELECT GSIMONET.LOGS_SQ.nextval INTO :new.CODI FROM DUAL;
    END IF; 
    
    IF INSERTING THEN
        :NEW.USER_LOG:= USER;
        :NEW.DATA_LOG:= SYSDATE;
    END IF;
END LOGS_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.PATROCINADOR_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.PATROCINADOR 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       PATROCINADOR_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     PATROCINADOR_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 7:48:43, and 28/04/2015 7:48:43
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      PATROCINADOR (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN

    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
    
END PATROCINADOR_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.PILOT_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.PILOT 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       PILOT_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     PILOT_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 8:33:14, and 28/04/2015 8:33:14
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      PILOT (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END PILOT_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.RESULTAT_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.RESULTAT 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       RESULTAT_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     RESULTAT_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 10:06:03, and 28/04/2015 10:06:03
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      RESULTAT (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN

    -- Alimenta identificador 
    IF :new.CODI IS NULL THEN
         SELECT GSIMONET.RESULTAT_SQ.nextval INTO :new.CODI FROM DUAL;
    END IF; 
    
    IF INSERTING THEN
        IF :NEW.POSICIO = 1 THEN
            :NEW.PUNTUACIO := 25;  
        ELSIF :NEW.POSICIO = 2 THEN 
             :NEW.PUNTUACIO := 15;
        ELSIF :NEW.POSICIO = 3 THEN           
             :NEW.PUNTUACIO := 5;
        ELSE
             :NEW.PUNTUACIO := 0;
        END IF; 
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN  
            IF :NEW.POSICIO = 1 THEN
            :NEW.PUNTUACIO := 25;  
        ELSIF :NEW.POSICIO = 2 THEN 
             :NEW.PUNTUACIO := 15;
        ELSIF :NEW.POSICIO = 3 THEN           
             :NEW.PUNTUACIO := 5;
        ELSE
             :NEW.PUNTUACIO := 0;
        END IF; 
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END RESULTAT_TG;
/


CREATE OR REPLACE TRIGGER GSIMONET.TELEMETRIA_TG
BEFORE INSERT OR UPDATE
ON GSIMONET.TELEMETRIA 
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE
/******************************************************************************
   NAME:       TELEMETRIA_TG
   PURPOSE:    

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        28/04/2015      XPMUser       1. Created this trigger.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     TELEMETRIA_TG
      Sysdate:         28/04/2015
      Date and Time:   28/04/2015, 10:06:21, and 28/04/2015 10:06:21
      Username:        XPMUser (set in TOAD Options, Proc Templates)
      Table Name:      TELEMETRIA (set in the "New PL/SQL Object" dialog)
      Trigger Options:  (set in the "New PL/SQL Object" dialog)
******************************************************************************/
BEGIN

    -- Alimenta identificador 
    IF :new.CODI IS NULL THEN
         SELECT GSIMONET.TELEMETRIA_SQ.nextval INTO :new.CODI FROM DUAL;
    END IF; 
    
    IF INSERTING THEN
        :NEW.USER_INSERT := USER;
        :NEW.DATA_INSERT:= SYSDATE;
        :NEW.USER_UPDATE := NULL;
        :NEW.DATA_UPDATE := NULL;
    ELSIF UPDATING THEN
        :NEW.USER_UPDATE:= USER;
        :NEW.DATA_UPDATE := SYSDATE;
        :NEW.USER_INSERT := :OLD.USER_INSERT;
        :NEW.DATA_INSERT := :OLD.DATA_INSERT;
    END IF;
END TELEMETRIA_TG;
/


